volumes:
  data:
    driver: local
    driver_opts:
      type: "none"
      o: "bind"
      device: "./data/html"
services:
  db:
    image: mariadb
    container_name: mariadb
    command: --innodb-buffer-pool-size=4096M
    env_file:
      - .env
    volumes:
      - ./data/mdbdata:/var/lib/mysql
    networks:
      - net

  myadmin:
    image: phpmyadmin
    container_name: myadmin
    depends_on:
      - db
    ports:
      - "8080:80"
    networks:
      - net

  itop:
    build:
      context: build/.
    container_name: itop
    volumes:
      - ./build/${CERT}:/etc/ssl/certs/mycert.crt
      - ./build/${KEY}:/etc/ssl/private/mycert.key
      - data:/var/www/html
    depends_on:
      - db
      - myadmin
    ports:
      - "80:80"
      - "443:443"
    env_file:
      - .env
    networks:
      - net

networks:
  net:
